# DELLY Somatic Mutation Calling

> Author： Run Luyao
>
> E-mail：18110700050@fudan.edu.cn
>
> Git: http://choppy.3steps.cn/renluyao/DELLY_somatic.git
>
> Last Updates: 2020/0705

## 安装指南

```
# 激活choppy环境
source activate choppy
# 安装app
choppy install renluyao/DELLY_somatic
```

## App概述

肿瘤和配对检测somatic SV，一共包括5种SV，Insertion、Deletion、Inversion、Translocation、Duplication。

## 流程与参数

1. Mapping

肿瘤样本和正常样本与参考基因组比对，用的软件是Sentieon的BWA-MEM

输出比对后肿瘤和正常的bam文件

2. DELLY检测突变

```bash
delly call -g <fastq_file> -o <output_bcf> -x human.hg38.excl.tsv <tumor_bam> <normal_bam>

delly filter -f somatic -o <output_filtered_bcf> -s samples.tsv <output_bcf>
```
其中samples.tsv按照如下准备，其中的tumor_name和normal_name要与bam文件中一致

```bash
tumor_name	tumor
normal_name	control
```

3. 将bcf文件转换成vcf

```bash
bcftools view <output_filtered> > <vcf>
```

## App输出文件

最终的结果文件在bcf2vcf中，是一个包含了所有SV类型，经过过滤后的vcf文件