task delly {

	File tumor_bam
	File tumor_bam_idx
	File normal_bam
	File normal_bam_idx
	File ref_dir
	String fasta
	String sample_name
	String docker
	String disk_size
	String cluster_config

	command <<<

		set -o pipefail
		set -e
		echo -e "${sample_name}.tumor\ttumor\n${sample_name}.normal\tcontrol" > samples.tsv

		nt=$(nproc)
		export OMP_NUM_THREADS=$nt

		/opt/delly/src/delly call -g ${ref_dir}/${fasta} -o ${sample_name}.delly.somatic.bcf -x /opt/delly/excludeTemplates/human.hg38.excl.tsv ${tumor_bam} ${normal_bam}

		/opt/delly/src/delly filter -f somatic -o ${sample_name}.delly.somatic.filtered.bcf -s samples.tsv ${sample_name}.delly.somatic.bcf


		>>>

		runtime {
		docker:docker
    	cluster:cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File bcf = "${sample_name}.delly.somatic.filtered.bcf"
		File bcf_index = "${sample_name}.delly.somatic.filtered.bcf.csi"
	}
}




